
package net.mcreator.rpgmod.block;

import net.minecraft.world.level.material.MaterialColor;
import net.minecraft.world.level.material.Material;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.LiquidBlock;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.BlockPos;

import net.mcreator.rpgmod.procedures.SaninMobplayerCollidesBlockProcedure;
import net.mcreator.rpgmod.init.RpgModModFluids;

public class SaninBlock extends LiquidBlock {
	public SaninBlock() {
		super(() -> RpgModModFluids.SANIN.get(), BlockBehaviour.Properties.of(Material.LAVA, MaterialColor.TERRACOTTA_ORANGE).strength(1000f).hasPostProcess((bs, br, bp) -> true).emissiveRendering((bs, br, bp) -> true).noCollission().noLootTable());
	}

	@Override
	public int getLightBlock(BlockState state, BlockGetter worldIn, BlockPos pos) {
		return 10;
	}

	@Override
	public void entityInside(BlockState blockstate, Level world, BlockPos pos, Entity entity) {
		super.entityInside(blockstate, world, pos, entity);
		SaninMobplayerCollidesBlockProcedure.execute(entity);
	}
}
