
package net.mcreator.rpgmod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SilverfishModel;

import net.mcreator.rpgmod.entity.DeathkeeperEntity;

public class DeathkeeperRenderer extends MobRenderer<DeathkeeperEntity, SilverfishModel<DeathkeeperEntity>> {
	public DeathkeeperRenderer(EntityRendererProvider.Context context) {
		super(context, new SilverfishModel(context.bakeLayer(ModelLayers.SILVERFISH)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(DeathkeeperEntity entity) {
		return new ResourceLocation("rpg_mod:textures/entities/death_thing_rpg_mod.png");
	}
}
