
package net.mcreator.rpgmod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.HumanoidArmorLayer;
import net.minecraft.client.renderer.entity.layers.EyesLayer;
import net.minecraft.client.renderer.entity.HumanoidMobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.HumanoidModel;

import net.mcreator.rpgmod.entity.ShrivilerEntity;

public class ShrivilerRenderer extends HumanoidMobRenderer<ShrivilerEntity, HumanoidModel<ShrivilerEntity>> {
	public ShrivilerRenderer(EntityRendererProvider.Context context) {
		super(context, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER)), 0.5f);
		this.addLayer(new HumanoidArmorLayer(this, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_INNER_ARMOR)), new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_OUTER_ARMOR))));
		this.addLayer(new EyesLayer<ShrivilerEntity, HumanoidModel<ShrivilerEntity>>(this) {
			@Override
			public RenderType renderType() {
				return RenderType.eyes(new ResourceLocation("rpg_mod:textures/entities/shriviler_texture.png"));
			}
		});
	}

	@Override
	public ResourceLocation getTextureLocation(ShrivilerEntity entity) {
		return new ResourceLocation("rpg_mod:textures/entities/shriviler_texture.png");
	}
}
