
package net.mcreator.rpgmod.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SpiderModel;

import net.mcreator.rpgmod.entity.StalkerspiderEntity;

public class StalkerspiderRenderer extends MobRenderer<StalkerspiderEntity, SpiderModel<StalkerspiderEntity>> {
	public StalkerspiderRenderer(EntityRendererProvider.Context context) {
		super(context, new SpiderModel(context.bakeLayer(ModelLayers.SPIDER)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(StalkerspiderEntity entity) {
		return new ResourceLocation("rpg_mod:textures/entities/stalker_spider.png");
	}
}
