
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.rpgmod.init;

import org.lwjgl.glfw.GLFW;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.TickEvent;
import net.minecraftforge.client.event.RegisterKeyMappingsEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.client.Minecraft;
import net.minecraft.client.KeyMapping;

import net.mcreator.rpgmod.network.SpacebootsflyMessage;
import net.mcreator.rpgmod.network.CollectyourXPMessage;
import net.mcreator.rpgmod.network.ClassselectoropenkeyMessage;
import net.mcreator.rpgmod.RpgModMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = {Dist.CLIENT})
public class RpgModModKeyMappings {
	public static final KeyMapping SPACEBOOTSFLY = new KeyMapping("key.rpg_mod.spacebootsfly", GLFW.GLFW_KEY_SPACE, "key.categories.movement") {
		private boolean isDownOld = false;

		@Override
		public void setDown(boolean isDown) {
			super.setDown(isDown);
			if (isDownOld != isDown && isDown) {
				RpgModMod.PACKET_HANDLER.sendToServer(new SpacebootsflyMessage(0, 0));
				SpacebootsflyMessage.pressAction(Minecraft.getInstance().player, 0, 0);
			}
			isDownOld = isDown;
		}
	};
	public static final KeyMapping CLASSSELECTOROPENKEY = new KeyMapping("key.rpg_mod.classselectoropenkey", GLFW.GLFW_KEY_C, "key.categories.gameplay") {
		private boolean isDownOld = false;

		@Override
		public void setDown(boolean isDown) {
			super.setDown(isDown);
			if (isDownOld != isDown && isDown) {
				RpgModMod.PACKET_HANDLER.sendToServer(new ClassselectoropenkeyMessage(0, 0));
				ClassselectoropenkeyMessage.pressAction(Minecraft.getInstance().player, 0, 0);
			}
			isDownOld = isDown;
		}
	};
	public static final KeyMapping COLLECTYOUR_XP = new KeyMapping("key.rpg_mod.collectyour_xp", GLFW.GLFW_KEY_X, "key.categories.gameplay") {
		private boolean isDownOld = false;

		@Override
		public void setDown(boolean isDown) {
			super.setDown(isDown);
			if (isDownOld != isDown && isDown) {
				RpgModMod.PACKET_HANDLER.sendToServer(new CollectyourXPMessage(0, 0));
				CollectyourXPMessage.pressAction(Minecraft.getInstance().player, 0, 0);
			}
			isDownOld = isDown;
		}
	};

	@SubscribeEvent
	public static void registerKeyMappings(RegisterKeyMappingsEvent event) {
		event.register(SPACEBOOTSFLY);
		event.register(CLASSSELECTOROPENKEY);
		event.register(COLLECTYOUR_XP);
	}

	@Mod.EventBusSubscriber({Dist.CLIENT})
	public static class KeyEventListener {
		@SubscribeEvent
		public static void onClientTick(TickEvent.ClientTickEvent event) {
			if (Minecraft.getInstance().screen == null) {
				SPACEBOOTSFLY.consumeClick();
				CLASSSELECTOROPENKEY.consumeClick();
				COLLECTYOUR_XP.consumeClick();
			}
		}
	}
}
