
package net.mcreator.rpgmod.item;

import net.minecraftforge.registries.ForgeRegistries;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.ArmorMaterial;
import net.minecraft.world.item.ArmorItem;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.EquipmentSlot;
import net.minecraft.world.entity.Entity;
import net.minecraft.sounds.SoundEvent;
import net.minecraft.resources.ResourceLocation;

import net.mcreator.rpgmod.procedures.MoterpowdertowerjawkamslamArmorLeggingsTickEventProcedure;
import net.mcreator.rpgmod.procedures.MoterpowdertowerjawkamslamArmorHelmetTickEventProcedure;
import net.mcreator.rpgmod.procedures.MoterpowdertowerjawkamslamArmorBootsTickEventProcedure;
import net.mcreator.rpgmod.procedures.MoterpowdertowerjawkamslamArmorBodyTickEventProcedure;
import net.mcreator.rpgmod.init.RpgModModItems;

public abstract class MoterpowdertowerjawkamslamArmorItem extends ArmorItem {
	public MoterpowdertowerjawkamslamArmorItem(EquipmentSlot slot, Item.Properties properties) {
		super(new ArmorMaterial() {
			@Override
			public int getDurabilityForSlot(EquipmentSlot slot) {
				return new int[]{13, 15, 16, 11}[slot.getIndex()] * 1024;
			}

			@Override
			public int getDefenseForSlot(EquipmentSlot slot) {
				return new int[]{1000, 1000, 1000, 1000}[slot.getIndex()];
			}

			@Override
			public int getEnchantmentValue() {
				return 100;
			}

			@Override
			public SoundEvent getEquipSound() {
				return ForgeRegistries.SOUND_EVENTS.getValue(new ResourceLocation(""));
			}

			@Override
			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(RpgModModItems.MOTERPOWDERTOWERJAWKAMSLAM_INGOT.get()));
			}

			@Override
			public String getName() {
				return "moterpowdertowerjawkamslam_armor";
			}

			@Override
			public float getToughness() {
				return 10f;
			}

			@Override
			public float getKnockbackResistance() {
				return 5f;
			}
		}, slot, properties);
	}

	public static class Helmet extends MoterpowdertowerjawkamslamArmorItem {
		public Helmet() {
			super(EquipmentSlot.HEAD, new Item.Properties().tab(CreativeModeTab.TAB_COMBAT));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "rpg_mod:textures/models/armor/moterpowdertowerjawkamslam_layer_1.png";
		}

		@Override
		public void onArmorTick(ItemStack itemstack, Level world, Player entity) {
			MoterpowdertowerjawkamslamArmorHelmetTickEventProcedure.execute(entity);
		}
	}

	public static class Chestplate extends MoterpowdertowerjawkamslamArmorItem {
		public Chestplate() {
			super(EquipmentSlot.CHEST, new Item.Properties().tab(CreativeModeTab.TAB_COMBAT));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "rpg_mod:textures/models/armor/moterpowdertowerjawkamslam_layer_1.png";
		}

		@Override
		public void onArmorTick(ItemStack itemstack, Level world, Player entity) {
			MoterpowdertowerjawkamslamArmorBodyTickEventProcedure.execute(entity);
		}
	}

	public static class Leggings extends MoterpowdertowerjawkamslamArmorItem {
		public Leggings() {
			super(EquipmentSlot.LEGS, new Item.Properties().tab(CreativeModeTab.TAB_COMBAT));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "rpg_mod:textures/models/armor/moterpowdertowerjawkamslam_layer_2.png";
		}

		@Override
		public void onArmorTick(ItemStack itemstack, Level world, Player entity) {
			MoterpowdertowerjawkamslamArmorLeggingsTickEventProcedure.execute(entity);
		}
	}

	public static class Boots extends MoterpowdertowerjawkamslamArmorItem {
		public Boots() {
			super(EquipmentSlot.FEET, new Item.Properties().tab(CreativeModeTab.TAB_COMBAT));
		}

		@Override
		public String getArmorTexture(ItemStack stack, Entity entity, EquipmentSlot slot, String type) {
			return "rpg_mod:textures/models/armor/moterpowdertowerjawkamslam_layer_1.png";
		}

		@Override
		public void onArmorTick(ItemStack itemstack, Level world, Player entity) {
			MoterpowdertowerjawkamslamArmorBootsTickEventProcedure.execute(entity);
		}
	}
}
