package net.mcreator.rpgmod.procedures;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.eventbus.api.Event;
import net.minecraftforge.event.entity.living.LivingDeathEvent;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.util.RandomSource;
import net.minecraft.util.Mth;
import net.minecraft.server.level.ServerLevel;
import net.minecraft.core.particles.SimpleParticleType;

import net.mcreator.rpgmod.init.RpgModModParticleTypes;
import net.mcreator.rpgmod.init.RpgModModGameRules;

import javax.annotation.Nullable;

@Mod.EventBusSubscriber
public class BloodmobdieProcedure {
	@SubscribeEvent
	public static void onEntityDeath(LivingDeathEvent event) {
		if (event != null && event.getEntity() != null) {
			execute(event, event.getEntity().level, event.getEntity().getX(), event.getEntity().getY(), event.getEntity().getZ());
		}
	}

	public static void execute(LevelAccessor world, double x, double y, double z) {
		execute(null, world, x, y, z);
	}

	private static void execute(@Nullable Event event, LevelAccessor world, double x, double y, double z) {
		if (world.getLevelData().getGameRules().getBoolean(RpgModModGameRules.GORE) == true) {
			if (world instanceof ServerLevel _level)
				_level.sendParticles((SimpleParticleType) (RpgModModParticleTypes.BLOODPARTICAL.get()), x, y, z, 1000, 1, 1, 1, 0);
			if (world instanceof ServerLevel _level)
				_level.sendParticles((SimpleParticleType) (RpgModModParticleTypes.BONES.get()), x, y, z, (int) Mth.nextDouble(RandomSource.create(), 10, 30), 1, 1, 1, 0.1);
			if (world instanceof ServerLevel _level)
				_level.sendParticles((SimpleParticleType) (RpgModModParticleTypes.FLESHPARTICAL.get()), x, y, z, (int) Mth.nextDouble(RandomSource.create(), 30, 50), 1, 1, 1, 0.1);
		}
	}
}
