
/*
 * MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.rpgmod.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.material.FlowingFluid;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.ItemBlockRenderTypes;

import net.mcreator.rpgmod.fluid.SaninFluid;
import net.mcreator.rpgmod.fluid.BloodFluid;
import net.mcreator.rpgmod.RpgModMod;

public class RpgModModFluids {
	public static final DeferredRegister<Fluid> REGISTRY = DeferredRegister.create(ForgeRegistries.FLUIDS, RpgModMod.MODID);
	public static final RegistryObject<FlowingFluid> SANIN = REGISTRY.register("sanin", () -> new SaninFluid.Source());
	public static final RegistryObject<FlowingFluid> FLOWING_SANIN = REGISTRY.register("flowing_sanin", () -> new SaninFluid.Flowing());
	public static final RegistryObject<FlowingFluid> BLOOD = REGISTRY.register("blood", () -> new BloodFluid.Source());
	public static final RegistryObject<FlowingFluid> FLOWING_BLOOD = REGISTRY.register("flowing_blood", () -> new BloodFluid.Flowing());

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			ItemBlockRenderTypes.setRenderLayer(SANIN.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_SANIN.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(BLOOD.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_BLOOD.get(), RenderType.translucent());
		}
	}
}
