package net.mcreator.rpgmod.procedures;

import net.minecraft.world.phys.Vec3;
import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.Explosion;
import net.minecraft.world.entity.MobSpawnType;
import net.minecraft.world.entity.Mob;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.LightningBolt;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.effect.MobEffects;
import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.server.level.ServerLevel;
import net.minecraft.core.BlockPos;

import net.mcreator.rpgmod.init.RpgModModEntities;
import net.mcreator.rpgmod.init.RpgModModBlocks;
import net.mcreator.rpgmod.entity.GodEntity;
import net.mcreator.rpgmod.RpgModMod;

public class BloodtampletOnBlockRightClickedProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z, Entity entity) {
		if (entity == null)
			return;
		if ((world.getBlockState(new BlockPos(x, y - 1, z))).getBlock() == Blocks.BEACON) {
			if (entity instanceof LivingEntity _entity)
				_entity.addEffect(new MobEffectInstance(MobEffects.REGENERATION, 20, 255, (false), (false)));
			if (world instanceof Level _level && !_level.isClientSide())
				_level.explode(null, x, y, z, 80, Explosion.BlockInteraction.DESTROY);
			if (!((world.getBlockState(new BlockPos(entity.getX(), entity.getY() - 1, entity.getZ()))).getBlock() == RpgModModBlocks.BLOODTAMPLET.get())) {
				world.setBlock(new BlockPos(entity.getX(), entity.getY() - 1, entity.getZ()), Blocks.BEDROCK.defaultBlockState(), 3);
			}
			RpgModMod.queueServerWork(10, () -> {
				world.setBlock(new BlockPos(x + 1, y + 2, z), Blocks.BEDROCK.defaultBlockState(), 3);
			});
			RpgModMod.queueServerWork(10, () -> {
				world.setBlock(new BlockPos(x, y + 2, z + 1), Blocks.BEDROCK.defaultBlockState(), 3);
			});
			RpgModMod.queueServerWork(10, () -> {
				world.setBlock(new BlockPos(x - 1, y + 2, z), Blocks.BEDROCK.defaultBlockState(), 3);
			});
			RpgModMod.queueServerWork(10, () -> {
				world.setBlock(new BlockPos(x, y + 2, z - 1), Blocks.BEDROCK.defaultBlockState(), 3);
			});
			RpgModMod.queueServerWork(10, () -> {
				world.setBlock(new BlockPos(x + 1, y + 1, z), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x, y + 1, z + 1), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x - 1, y + 1, z), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x, y + 1, z - 1), Blocks.BEDROCK.defaultBlockState(), 3);
			});
			RpgModMod.queueServerWork(10, () -> {
				world.setBlock(new BlockPos(x + 1, y, z), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x, y, z + 1), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x - 1, y, z), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x, y, z - 1), Blocks.BEDROCK.defaultBlockState(), 3);
			});
			RpgModMod.queueServerWork(10, () -> {
				world.setBlock(new BlockPos(x + 1, y - 1, z), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x, y - 1, z + 1), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x - 1, y - 1, z), Blocks.BEDROCK.defaultBlockState(), 3);
				world.setBlock(new BlockPos(x, y - 1, z - 1), Blocks.BEDROCK.defaultBlockState(), 3);
			});
			RpgModMod.queueServerWork(20, () -> {
				for (int index0 = 0; index0 < (int) (50); index0++) {
					if (world instanceof ServerLevel _level) {
						LightningBolt entityToSpawn = EntityType.LIGHTNING_BOLT.create(_level);
						entityToSpawn.moveTo(Vec3.atBottomCenterOf(new BlockPos(x, y + 1, z)));
						entityToSpawn.setVisualOnly(false);
						_level.addFreshEntity(entityToSpawn);
					}
				}
			});
			if (world instanceof ServerLevel _level) {
				Entity entityToSpawn = new GodEntity(RpgModModEntities.GOD.get(), _level);
				entityToSpawn.moveTo(x, (y + 5), z, world.getRandom().nextFloat() * 360F, 0);
				if (entityToSpawn instanceof Mob _mobToSpawn)
					_mobToSpawn.finalizeSpawn(_level, world.getCurrentDifficultyAt(entityToSpawn.blockPosition()), MobSpawnType.MOB_SUMMONED, null, null);
				world.addFreshEntity(entityToSpawn);
			}
		}
	}
}
