package net.mcreator.rpgmod.procedures;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.eventbus.api.Event;
import net.minecraftforge.event.entity.living.LivingHurtEvent;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.server.level.ServerLevel;
import net.minecraft.core.particles.SimpleParticleType;

import net.mcreator.rpgmod.init.RpgModModParticleTypes;
import net.mcreator.rpgmod.init.RpgModModMobEffects;
import net.mcreator.rpgmod.init.RpgModModGameRules;

import javax.annotation.Nullable;

@Mod.EventBusSubscriber
public class MobbloodpoolProcedure {
	@SubscribeEvent
	public static void onEntityAttacked(LivingHurtEvent event) {
		if (event != null && event.getEntity() != null) {
			execute(event, event.getEntity().level, event.getEntity().getX(), event.getEntity().getY(), event.getEntity().getZ(), event.getEntity());
		}
	}

	public static void execute(LevelAccessor world, double x, double y, double z, Entity entity) {
		execute(null, world, x, y, z, entity);
	}

	private static void execute(@Nullable Event event, LevelAccessor world, double x, double y, double z, Entity entity) {
		if (entity == null)
			return;
		if (world.getLevelData().getGameRules().getBoolean(RpgModModGameRules.GORE) == true) {
			if (world instanceof ServerLevel _level)
				_level.sendParticles((SimpleParticleType) (RpgModModParticleTypes.BLOODPARTICAL.get()), x, y, z, 500, 0.5, 0.1, 0.5, 0);
			if (Math.random() < 0.1) {
				if (entity instanceof LivingEntity _entity)
					_entity.addEffect(new MobEffectInstance(RpgModModMobEffects.BLEEDING.get(), 60, 1, (true), (false)));
			}
		}
	}
}
